> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nativehub.live/llms.txt
> Use this file to discover all available pages before exploring further.

# List OTT messages

> Retrieve paginated list of OTT messages



## OpenAPI

````yaml GET /ott/messages
openapi: 3.0.3
info:
  title: NativeMessage API
  version: 1.0.0
  description: Complete API documentation for NativeMessage platform
  contact:
    name: NativeMessage Support
    email: support@nativemessage.com
servers:
  - url: https://api-message.nativehub.live/api/v1
    description: Production server
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /ott/messages:
    get:
      tags:
        - OTT Messages
      summary: List OTT messages
      description: Retrieve paginated list of OTT messages
      operationId: listOTTMessages
      parameters:
        - $ref: '#/components/parameters/PageParam'
        - $ref: '#/components/parameters/PerPageParam'
        - name: channel_id
          in: query
          description: Filter by channel ID
          schema:
            type: string
            format: uuid
        - name: status
          in: query
          description: Filter by message status
          schema:
            type: string
      responses:
        '200':
          description: OTT messages retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOTTMessages'
components:
  parameters:
    PageParam:
      name: page
      in: query
      description: Page number (default 1)
      schema:
        type: integer
        default: 1
        minimum: 1
    PerPageParam:
      name: per_page
      in: query
      description: Items per page (default 20, max 100)
      schema:
        type: integer
        default: 20
        minimum: 1
        maximum: 100
  schemas:
    PaginatedOTTMessages:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/OTTMessage'
        total:
          type: integer
        page:
          type: integer
        per_page:
          type: integer
    OTTMessage:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tenant_id:
          type: string
          format: uuid
        channel_id:
          type: string
          format: uuid
        template_id:
          type: string
          format: uuid
        to:
          type: string
        body:
          type: string
        status:
          type: string
        provider_message_id:
          type: string
        error_message:
          type: string
        created_at:
          type: string
          format: date-time
      example:
        id: b0c1d2e3-f4a5-6789-bc01-234567890123
        tenant_id: c3d4e5f6-a7b8-9012-cdef-123456789012
        channel_id: f8a9b0c1-d2e3-4567-fa89-012345678901
        template_id: a9b0c1d2-e3f4-5678-ab90-123456789012
        to: '+8801712345678'
        body: Hello Alice, welcome to our service!
        status: delivered
        provider_message_id: wamid.abc123xyz
        created_at: '2026-02-14T11:00:00Z'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````